<?php
/******************
 * get_ip.lib.php *
 ******************/
 
# Copyright:
#
# You may use freely this script, class or functions.
# I hope you'll respect the author's intellectual property by
# --- keeping this notice in your source
# --- setting a link to the author of these PHP scripts:
# --- dropping a note to the author:
#
# Author:    cagrET <cagret@yahoo.com>
# Homepage:  http://cagret.prv.pl
 
function is_ip($ip, &$IP_array)
{
 return ereg("^([0-9]{1,3}\.){3,3}[0-9]{1,3}", $ip, $IP_array);
} //end func

function get_ip()
/* get the ip address - try to pass proxy */
# return ip - varchar(15)
{
  static $realip;
  
  if(isset($realip)) return $realip;
  
  if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {$realip = $_SERVER['HTTP_X_FORWARDED_FOR'];}
  elseif (!empty($_SERVER['HTTP_CLIENT_IP'])) {$realip = $_SERVER['HTTP_CLIENT_IP'];}
  else {$realip = $_SERVER['REMOTE_ADDR'];}

  $regular = is_ip($realip, $IP_array);

  if($regular && (count($IP_array)>0))
  {
    $realip = $IP_array[0];
  }
  else $realip = $_SERVER['REMOTE_ADDR'];

  return $realip;

} //end func

?>
