<?php
/**
* statistics.php
* ------------------------------------------------------------
* Package:   MyGosuClan
* Version:   1.03
* License:   GNU GPL
* Author:    cagrET (Cezary Tomczak)
* Email:     cagret@yahoo.com
* Homepage:  http://cagret.prv.pl
* ------------------------------------------------------------
*/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

require 'modules/statistics/inc.Statistics.php';

global $stats;
global $db;
global $cfg;

$stats =& new statistics;

$stats->db =& $db;
$stats->prefix = $cfg['prefix'];

$stats->last24h_expire = 60 * 60 * 24;
$stats->online_expire = 60 * 30;

$stats->init();

$this->assign('visits', $stats->get_visits());
$this->assign('last24h', $stats->get_last24h());
$this->assign('online', $stats->get_online());

?>
