<?php
/**
* init.user.php
* ------------------------------------------------------------
* Package:   MyGosuClan
* Version:   1.03
* License:   GNU GPL
* Author:    cagrET (Cezary Tomczak)
* Email:     cagret@yahoo.com
* Homepage:  http://cagret.prv.pl
* ------------------------------------------------------------
*/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

# ------------------
# user authorization
# ------------------
if(request_param('submit_login')) { LogIn(); }
elseif(request_param('submit_logout')) { LogOut(); }

if($_SESSION['mgc']['user']) TestUser();

# ---------
# user auth
# ---------
$auth = array();

$auth['permban'] = 0;
$auth['normal']  = 1;
$auth['member']  = 2;
$auth['admin']   = 3;

# ------------
# admin rights
# ------------
$r = new rights;

$r->add('news');
$r->add('forum');
$r->add('replays');
$r->add('clanwars');
$r->add('members');
$r->add('calendar');
$r->add('users');
$r->add('posts_edit');
$r->add('ipban');
$r->add('ftp');

# $access - $rights

$rights = $r->return_rights();

if($_SESSION['mgc']['auth'] >= $auth['admin']) $access = $r->return_access(array_sum($rights));
elseif($_SESSION['mgc']['auth'] >= $auth['member']) $access = $r->return_access($_SESSION['mgc']['rights']);
else $access = $r->return_access(0);

?>
