<?php
/**
* initialize.php
* ------------------------------------------------------------
* Package:   MyGosuClan
* Version:   1.03
* License:   GNU GPL
* Author:    cagrET (Cezary Tomczak)
* Email:     cagret@yahoo.com
* Homepage:  http://cagret.prv.pl
* ------------------------------------------------------------
*/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

global $error_reporting;

$error_reporting = E_ALL ^ E_NOTICE;
error_reporting($error_reporting);

# sub
$sub = @$_GET['sub'];
if (!$sub) {
    $sub = 'news';
} else {
    if (!@settype($sub, 'string')) {
        $sub = 'news';
    } elseif (strlen($sub) > 100) {
        $sub = 'news';
    }
}

# -------
# library
# -------
require 'init/lib/db_mysql.inc';
require 'init/lib/get_ip.lib.php';
require 'init/lib/param.lib.php';
require 'init/lib/session.lib.php';
require 'init/lib/rights.lib.php';

# -------------
# initalization
# -------------
global $cfg;
$cfg = array();

require 'init/init.error.php';
require 'init/init.variables.php';
require 'init/init.install.php';

require 'init/init.db.php';
require 'init/config.php';

require 'init/functions.php';

require 'init/init.session.php';
require 'init/init.user.php';
require 'init/init.Smarty.php';

require 'init/common.php';

?>
